uk.gov.hmrc

# gitclient

#### package gitclient

Visibility

1. Public
2. All

### Type Members

1. #### case class Failure(message: String) extends Result with Product with Serializable

2. #### class FileHandler extends AnyRef

3. #### trait GitClient extends AnyRef

4. #### trait GitStore extends AnyRef

5. #### case class GitTag(name: String, createdAt: Option[ZonedDateTime]) extends Product with Serializable

6. #### abstract class Repository extends AnyRef

7. #### sealed abstract class Result extends AnyRef

8. #### trait ScheduledCleanUp extends ScheduledTask

9. #### trait ScheduledTask extends AnyRef

10. #### case class Success(result: List[String]) extends Result with Product with Serializable

### Value Members

1. #### object FileHandler

2. #### object Git

3. #### object GitTag extends Serializable

4. #### object Repository

### Ungrouped